Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588251 - kvm spinning updating a guest pte, unkillable
Summary: kvm spinning updating a guest pte, unkillable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Karen Noel
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 585951 (view as bug list)
Depends On:
Blocks: 596381
TreeView+ depends on / blocked
 
Reported: 2010-05-03 10:05 UTC by Avi Kivity
Modified: 2013-01-09 22:31 UTC (History)
7 users (show)

Fixed In Version: kvm-83-181.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 23:35:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0028 normal SHIPPED_LIVE Low: kvm security and bug fix update 2011-01-13 11:03:39 UTC

Description Avi Kivity 2010-05-03 10:05:54 UTC
Description of problem:

vcpu hung in a loop:

crash> bt
PID: 25723  TASK: ffff81081e66f040  CPU: 5   COMMAND: "qemu-kvm"
 #0 [ffff8107b2bc7a48] schedule at ffffffff80063f96
 #1 [ffff8107b2bc7b20] __cond_resched at ffffffff8008f9cb
 #2 [ffff8107b2bc7b30] cond_resched at ffffffff800640cb
 #3 [ffff8107b2bc7b40] gfn_to_pfn at ffffffff8836d03d
 #4 [ffff8107b2bc7b70] gfn_to_page at ffffffff8836ee5b
 #5 [ffff8107b2bc7b80] paging64_cmpxchg_gpte at ffffffff88377c46
 #6 [ffff8107b2bc7ba0] paging64_walk_addr at ffffffff88379a8b
 #7 [ffff8107b2bc7c10] paging64_gva_to_gpa at ffffffff8837a2e3
 #8 [ffff8107b2bc7cb0] emulator_write_emulated_onepage at ffffffff883710e9
 #9 [ffff8107b2bc7cf0] x86_emulate_insn at ffffffff8837f380
#10 [ffff8107b2bc7da0] emulate_instruction at ffffffff88370f81
#11 [ffff8107b2bc7de0] kvm_arch_vcpu_ioctl_run at ffffffff88373861
#12 [ffff8107b2bc7e20] kvm_vcpu_ioctl at ffffffff8836f0ec
#13 [ffff8107b2bc7eb0] do_ioctl at ffffffff80042489
#14 [ffff8107b2bc7ed0] vfs_ioctl at ffffffff800304d6
#15 [ffff8107b2bc7f40] sys_ioctl at ffffffff8004cbb7
#16 [ffff8107b2bc7f80] tracesys at ffffffff8005e28d (via system_call)
    RIP: 0000003d290cc647  RSP: 0000000041a88f58  RFLAGS: 00000246


Version-Release number of selected component (if applicable):

kmod-kvm-83-164.el5

How reproducible:

?

Steps to Reproduce:
1. No
2. Idea
  
Actual results:

Guest spinning, host task unkillable.

Expected results:

All is well.

Additional info:

Comment 2 Marcelo Tosatti 2010-05-04 07:38:59 UTC
*** Bug 585951 has been marked as a duplicate of this bug. ***

Comment 8 lihuang 2010-06-01 16:30:29 UTC
using steps in bug 585951#c0

reproduced bug on kvm-83-164.el5. (AMD host, w/o npt)

verified in kvm-83-181.el5

Comment 12 errata-xmlrpc 2011-01-13 23:35:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html


Note You need to log in before you can comment on or make changes to this bug.